using System;
using System.Data;
using System.Collections.Specialized;

namespace Northwind
{
	/// <summary>
	/// Summary description for NorthwindBusinessLogicFacade.
	/// </summary>
	public class NorthwindBusinessLogicFacade : IDisposable
	{
		public NorthwindBusinessLogicFacade()
		{
			//
			// TODO: Add constructor logic here
			//
		}

		
		public dsProducts RetrieveProducts()
		{

			return new NorthwindBusinessLogicLayer.
				NorthwindBusinessLogicLayer().RetrieveProducts();
		}

		
		public void UpdateProducts(dsProducts
			Products)
		{

			new NorthwindBusinessLogicLayer.NorthwindBusinessLogicLayer()
				.UpdateProducts(Products);

		}

		
		public dsRegionTerritoryEmployeeCustomer RetrieveRegionTerritoryEmployeeCustomer()
		{
			return new NorthwindBusinessLogicLayer.
				NorthwindBusinessLogicLayer().RetrieveRegionTerritoryEmployeeCustomer();
		}

		
		public dsOrders RetrieveOrders(int EmployeeID
			, string CustomerID)
		{
			return new NorthwindBusinessLogicLayer.
				NorthwindBusinessLogicLayer()
				.RetrieveOrders(EmployeeID, CustomerID);
		}

		
		public StringCollection RetrieveCustomerRegionList()
		{
			StringCollection ret = new StringCollection();
			ret.AddRange(
				new NorthwindBusinessLogicLayer.NorthwindBusinessLogicLayer()
				.RetrieveCustomerRegionList());
			return ret;
		}

		
		public int RetrieveOrderCount()
		{
			return new NorthwindBusinessLogicLayer.NorthwindBusinessLogicLayer()
				.RetrieveOrderCount();
		}

		
		public int RetrieveCustomerCount()
		{
			return new NorthwindBusinessLogicLayer.NorthwindBusinessLogicLayer()
				.RetrieveCustomerCount();
		}

		
		public StringCollection RetrieveCustomerCountryList()
		{
			StringCollection ret = new StringCollection();

			ret.AddRange(new NorthwindBusinessLogicLayer.NorthwindBusinessLogicLayer()
				.RetrieveCustomerCountryList());
			return ret;
		}

		
		public DataSet RetrieveCustomerList()
		{
			return new NorthwindBusinessLogicLayer.NorthwindBusinessLogicLayer()
				.RetrieveCustomerList();
		}

		
		public dsCustomers RetrieveCustomer(string ID)
		{
			return (dsCustomers)new NorthwindBusinessLogicLayer.NorthwindBusinessLogicLayer()
				.RetrieveCustomer(ID);
		}

		
		public void UpdateCustomers(dsCustomers custs)
		{
			new NorthwindBusinessLogicLayer.NorthwindBusinessLogicLayer()
				.UpdateCustomers(custs);
		}

		
		public dsEmployees RetrieveEmployees()
		{
			return (dsEmployees)new NorthwindBusinessLogicLayer.
				NorthwindBusinessLogicLayer().RetrieveEmployees();
		}

		
		public void UpdateEmployees(dsEmployees emps)
		{
			new NorthwindBusinessLogicLayer.NorthwindBusinessLogicLayer()
				.UpdateEmployees(emps);
		}

		
		public dsOrdersOrderDetails RetrieveOrdersOrderDetails()
		{
			return (dsOrdersOrderDetails)new NorthwindBusinessLogicLayer.
				NorthwindBusinessLogicLayer().RetrieveOrdersOrderDetails();
		}

		
		public void UpdateOrdersOrderDetails(
			dsOrdersOrderDetails orders)
		{
			new NorthwindBusinessLogicLayer.NorthwindBusinessLogicLayer()
				.UpdateOrdersOrderDetails(
				orders);
		}

		#region IDisposable Members

		public void Dispose()
		{
			// TODO:  Add NorthwindBusinessLogicFacade.Dispose implementation
		}

		#endregion

	}
}